ImagickDraw::pathClose
ImagickDraw::pathCurveToQuadraticBezierAbsolute
The ImagickDraw class
PHP Manual

# ImagickDraw::pathCurveToAbsolute

(No version information available, might be only in CVS)

ImagickDraw::pathCurveToAbsolute — Draws a cubic Bezier curve

### Description

bool ImagickDraw::pathCurveToAbsolute ( float `$x1` , float `$y1` , float `$x2` , float `$y2` , float `$x` , float `$y` )
Warning

This function is currently not documented; only its argument list is available.

Draws a cubic Bezier curve from the current point to (x,y) using (x1,y1) as the control point at the beginning of the curve and (x2,y2) as the control point at the end of the curve using absolute coordinates. At the end of the command, the new current point becomes the final (x,y) coordinate pair used in the polybezier.

### Parameters

`x1`

  x coordinate of the first control point

`y1`

  y coordinate of the first control point

`x2`

  x coordinate of the second control point

`y2`

  y coordinate of the first control point

`x`

  x coordinate of the curve end

`y`

  y coordinate of the curve end

### Return Values

No value is returned.

ImagickDraw::pathClose
ImagickDraw::pathCurveToQuadraticBezierAbsolute
The ImagickDraw class
PHP Manual